# Nøkken

*Control your health*

> Version 1.0.1

Track medications, bloodwork results, injection sites, symptoms, and more, all while keeping your sensitive information private and secure.


## Features

- **Medication Tracking**: Log medications, dosages, schedules, injection sites, and set reminders
- **Bloodwork Monitoring**: Record and visualize lab results over time
- **Data Visualization**: View trends in your health data
- **Export Capabilities**: Generate reports to share with healthcare providers (coming soon)

## Privacy
Nøkken embraces a privacy-first approach:

- **No data collection**: Your health information never leaves your device
- **No cloud storage**: All data is stored locally on your device
- **No tracking**: No analytics, telemetry, or usage statistics are collected. To provide insights, we built a [native analytics engine in C++](native/statistics/)
- **No network requirements**: Functions fully offline with no dependency on external services
- **No account creation** or registration required


## Releases (coming soon)

expected release is around summer 2025. Nøkken will be available on the Apple App Store and the Android Google Play Store

## Technology Stack

- **Frontend**: Flutter/Dart
- **Backend (analytics engine)**: C++
- **Local Database**: SQLite
- **Encryption**: (in development)
- **State Management**: [Riverpod](https://riverpod.dev/)

## Contributing

All contributions are welcomed! Please see [CONTRIBUTING.md](CONTRIBUTING.md) for details

## Documentation

For complete documentation, visit **https://charlottecroce.codeberg.page/nokken/docs/site/**


## License

Nøkken is licensed under the [GNU Affero General Public License v3.0 (AGPL-3.0)](LICENSE).

..