# Core Services
Nokken's architecture is built around several core services that provide foundational functionality to the application. These services follow a singleton pattern for efficient resource usage and are designed with clear separation of concerns.

## Structure
```
lib/src/
├── app.dart                # App configuration and theme setup
├── core/                   # Core functionality shared across features
│   ├── constants/          # App-wide constants
│   ├── screens/            # Core screens (main container)
│   ├── services/           # Shared services
│   ├── theme/              # Theming system
│   └── utils/              # Utility functions
├── features/               # Feature modules (medication, bloodwork, etc.)
```
