// SPDX-FileCopyrightText: © 2025 Nøkken.io <nokken.io@proton.me>
// SPDX-License-Identifier: AGPL-3.0
//
// route_names.dart
// Constants for all route paths
//

/// Contains string constants for all route paths
/// Used to maintain consistency in navigation throughout the app
class RouteNames {
  static const String dailyTracker = '/calendar/day';
  static const String calendar = '/calendar/month';
  static const String medicationList = '/medication/list';
  static const String medicationDetails = '/medication/details';
  static const String medicationAddEdit = '/medication/add-edit';
  static const String injectionSiteTracker =
      '/medication/injection-site-tracker';
  static const String injectionSiteViewer = '/medication/injection-site-viewer';
  static const String bloodworkList = '/bloodwork/list';
  static const String bloodworkAddEdit = '/bloodwork/add-edit';
  static const String bloodLevelList = '/bloodwork/level-list';
  static const String bloodworkGraph = '/bloodwork/graph';
  static const String settings = '/settings';
}
