// SPDX-FileCopyrightText: © 2025 Nøkken.io <nokken.io@proton.me>
// SPDX-License-Identifier: AGPL-3.0
//
// health_analytics.cpp
// Comprehensive C++ analytics engine for health data processing
// Provides statistical analysis, pattern detection, and predictive modeling for health metrics
//
#include "health_analytics_engine.h" 
#include <vector>
#include <string>
#include <cmath>
#include <algorithm>
#include <map>
#include <set>
#include <unordered_map>
#include <memory>
#include <cstring>
#include <ctime>
#include <numeric>
#include <random>
#include <limits>

// Include all module files
#include "utils.cpp"
#include "basic_stats.cpp"
#include "correlation.cpp"
#include "time_series.cpp"
#include "clustering.cpp"
#include "anomaly_detection.cpp"
#include "impact_analysis.cpp"